org.red5.server.api.stream

## Interface IStreamSecurityService

All Superinterfaces:
  IScopeService

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IStreamSecurityService
    extends IScopeService

Service that supports protecting access to streams.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`static String` `BEAN_NAME` Name of a bean defining that scope service.

### Method Summary

Methods
`Set<IStreamPlaybackSecurity>` `getStreamPlaybackSecurity()` Get handlers that protect stream plaback.
`Set<IStreamPublishSecurity>` `getStreamPublishSecurity()` Get handlers that protect stream publishing.
`void` `registerStreamPlaybackSecurity(IStreamPlaybackSecurity handler)` Add handler that protects stream playback.
`void` `registerStreamPublishSecurity(IStreamPublishSecurity handler)` Add handler that protects stream publishing.
`void` `unregisterStreamPlaybackSecurity(IStreamPlaybackSecurity handler)` Remove handler that protects stream playback.
`void` `unregisterStreamPublishSecurity(IStreamPublishSecurity handler)` Remove handler that protects stream publishing.

### Field Detail

#### BEAN_NAME

    static final String BEAN_NAME

Name of a bean defining that scope service.

See Also:
  Constant Field Values

### Method Detail

#### registerStreamPublishSecurity

    void registerStreamPublishSecurity(IStreamPublishSecurity handler)

Add handler that protects stream publishing.

Parameters:
  `handler` - Handler to add.

#### unregisterStreamPublishSecurity

    void unregisterStreamPublishSecurity(IStreamPublishSecurity handler)

Remove handler that protects stream publishing.

Parameters:
  `handler` - Handler to remove.

#### getStreamPublishSecurity

    Set<IStreamPublishSecurity> getStreamPublishSecurity()

Get handlers that protect stream publishing.

Returns:
  list of handlers

#### registerStreamPlaybackSecurity

    void registerStreamPlaybackSecurity(IStreamPlaybackSecurity handler)

Add handler that protects stream playback.

Parameters:
  `handler` - Handler to add.

#### unregisterStreamPlaybackSecurity

    void unregisterStreamPlaybackSecurity(IStreamPlaybackSecurity handler)

Remove handler that protects stream playback.

Parameters:
  `handler` - Handler to remove.

#### getStreamPlaybackSecurity

    Set<IStreamPlaybackSecurity> getStreamPlaybackSecurity()

Get handlers that protect stream plaback.

Returns:
  list of handlers